sysutils/preloader-m1 - The NetBSD Packages Collection

Preloader for OS images on Apple M1 SoCs

Preloader M1 acts as a wrapper for Linux (and other operating systems)
kernels on Apple M1 hardware and provides a trampoline for starting
processor cores.

Build dependencies

cross/aarch64-none-elf-gcc pkgtools/cwrappers devel/gmake

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfpreloader-m1-0.0.20210220.tgz
NetBSD 8.0i386preloader-m1-0.0.20210220.tgz
NetBSD 8.0x86_64preloader-m1-0.0.20210220.tgz
NetBSD 9.0aarch64preloader-m1-0.0.20210220.tgz
NetBSD 9.0alphapreloader-m1-0.0.20210220.tgz
NetBSD 9.0earmv6hfpreloader-m1-0.0.20210220.tgz
NetBSD 9.0earmv7hfpreloader-m1-0.0.20210220.tgz
NetBSD 9.0i386preloader-m1-0.0.20210220.tgz
NetBSD 9.0mips64ebpreloader-m1-0.0.20210220.tgz
NetBSD 9.0sparc64preloader-m1-0.0.20210220.tgz
NetBSD 9.0x86_64preloader-m1-0.0.20210220.tgz
NetBSD 9.0x86_64preloader-m1-0.0.20210220.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.